Rename poky-qemu to runqemu

(From OE-Core rev: 7687d91f73f4a116593315b3b1488ac3f0904905)

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Richard Purdie 2011-04-20 16:44:10 +01:00
parent 46d0cc3dc8
commit 08127d444e
20 changed files with 39 additions and 39 deletions

View File

@ -6,15 +6,15 @@ PR = "r9"
FILESPATH = "${FILE_DIRNAME}/qemu-helper"
LIC_FILES_CHKSUM = "file://${WORKDIR}/tunctl.c;endline=4;md5=ff3a09996bc5fff6bc5d4e0b4c28f999 \
file://${POKYBASE}/scripts/poky-qemu;endline=18;md5=ce52af3dd295e20ad1d849611b83690b"
file://${POKYBASE}/scripts/runqemu;endline=18;md5=ce52af3dd295e20ad1d849611b83690b"
SRC_URI = "file://${POKYBASE}/scripts/poky-qemu \
file://${POKYBASE}/scripts/poky-qemu-internal \
SRC_URI = "file://${POKYBASE}/scripts/runqemu \
file://${POKYBASE}/scripts/runqemu-internal \
file://${POKYBASE}/scripts/poky-addptable2image \
file://${POKYBASE}/scripts/poky-gen-tapdevs \
file://${POKYBASE}/scripts/poky-qemu-ifup \
file://${POKYBASE}/scripts/poky-qemu-ifdown \
file://${POKYBASE}/scripts/runqemu-ifup \
file://${POKYBASE}/scripts/runqemu-ifdown \
file://${POKYBASE}/scripts/poky-find-native-sysroot \
file://${POKYBASE}/scripts/poky-extract-sdk \
file://${POKYBASE}/scripts/poky-export-rootfs \

View File

@ -51,7 +51,7 @@ fi
PATH="${OEROOT}/scripts:$BITBAKEDIR/bin/:$PATH"
unset BITBAKEDIR
# Used by the poky-qemu script
# Used by the runqemu script
export BUILDDIR
export PATH

View File

@ -1,7 +1,7 @@
#!/bin/bash
#
# Create a "bank" of tap network devices that can be used by the
# poky-qemu script. This script needs to be run as root, and will
# runqemu script. This script needs to be run as root, and will
# use the tunctl binary from a Poky sysroot. Note: many Linux distros
# these days still use an older version of tunctl which does not
# support the group permissions option, hence the need to use Poky's
@ -51,9 +51,9 @@ if [[ ! -x "$TUNCTL" || -d "$TUNCTL" ]]; then
fi
SCRIPT_DIR=`dirname $0`
POKY_QEMU_IFUP="$SCRIPT_DIR/poky-qemu-ifup"
POKY_QEMU_IFUP="$SCRIPT_DIR/runqemu-ifup"
if [ ! -x "$POKY_QEMU_IFUP" ]; then
echo "Error: Unable to find the poky-qemu-ifup script in $SCRIPT_DIR"
echo "Error: Unable to find the runqemu-ifup script in $SCRIPT_DIR"
exit 1
fi
@ -79,7 +79,7 @@ for ((index=0; index < $COUNT; index++)); do
fi
done
# The poky-qemu script will check for this file, and if it exists,
# The runqemu script will check for this file, and if it exists,
# will use the existing bank of tap devices without creating
# additional ones via sudo.
touch /etc/poky-nosudo

View File

@ -108,6 +108,6 @@ Common targets are:
meta-toolchain
meta-toolchain-sdk
You can also run generated qemu images with a command like 'poky-qemu qemux86'
You can also run generated qemu images with a command like 'runqemu qemux86'
EOM

View File

@ -395,11 +395,11 @@ Test_Create_Qemu()
local ret=1
local up_time=0
which poky-qemu
which runqemu
if [ $? -eq 0 ]; then
RUNQEMU=`which poky-qemu`
RUNQEMU=`which runqemu`
else
Test_Error "Can not find poky-qemu in \$PATH, return fail"
Test_Error "Can not find runqemu in \$PATH, return fail"
exit 1
fi

View File

@ -1,7 +1,7 @@
#!/bin/bash
#
# Boot Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if qemu and qemu network is up.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Compiler Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if gcc/g++/make command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Conmman Check Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if connman can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Dmesg Check Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if there is any error log in dmesg.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# RPM Check Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if rpm command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# SCP Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if file can be copied into target with scp command.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Shutdown Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if target can shutdown
# For qemux86/x86-64, we use command "poweroff" for target shutdown
# For non-x86 targets, we use command "reboot" for target shutdown

View File

@ -1,6 +1,6 @@
#!/bin/bash
# SSH Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if ssh service in qemu is up.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Zypper Check Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if zypper command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -1,6 +1,6 @@
#!/bin/bash
# Zypper Check Test Case for Sanity Test
# The case boot up the Qemu target with `poky-qemu qemuxxx`.
# The case boot up the Qemu target with `runqemu qemuxxx`.
# Then check if zypper command can work in target.
#
# Author: Jiajun Xu <jiajun.xu@intel.com>

View File

@ -267,7 +267,7 @@ setup_tmpdir() {
type -P bitbake &>/dev/null || {
echo "In order for this script to dynamically infer paths";
echo "to kernels or filesystem images, you either need";
echo "bitbake in your PATH or to source poky-init-build-env";
echo "bitbake in your PATH or to source oe-init-build-env";
echo "before running this script" >&2;
exit 1; }
@ -394,6 +394,6 @@ if [ "$libgl" != 'yes' ]; then
exit 1;
fi
INTERNAL_SCRIPT=`which poky-qemu-internal`
INTERNAL_SCRIPT=`which runqemu-internal`
. $INTERNAL_SCRIPT

View File

@ -8,8 +8,8 @@
# the following to your /etc/sudoers file to be able to run this
# command without entering your password each time:
#
# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup
# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown
# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
#
# Copyright (c) 2006-2010 Intel Corp.
#
@ -31,7 +31,7 @@ usage() {
}
if [ $EUID -ne 0 ]; then
echo "Error: This script (poky-qemu-ifdown) must be run with root privileges"
echo "Error: This script (runqemu-ifdown) must be run with root privileges"
exit 1
fi

View File

@ -10,12 +10,12 @@
# the following to your /etc/sudoers file to be able to run this
# command without entering your password each time:
#
# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup
# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown
# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
#
# If you'd like to create a bank of tap devices at once, you should use
# the poky-gen-tapdevs script instead. If tap devices are set up using
# that script, the poky-qemu script will never end up calling this
# that script, the runqemu script will never end up calling this
# script.
#
# Copyright (c) 2006-2010 Intel Corp.
@ -38,7 +38,7 @@ usage() {
}
if [ $EUID -ne 0 ]; then
echo "Error: This script (poky-qemu-ifup) must be run with root privileges"
echo "Error: This script (runqemu-ifup) must be run with root privileges"
exit 1
fi

View File

@ -88,8 +88,8 @@ fi
# sudo.
NOSUDO_FLAG="/etc/poky-nosudo"
QEMUIFUP=`which poky-qemu-ifup`
QEMUIFDOWN=`which poky-qemu-ifdown`
QEMUIFUP=`which runqemu-ifup`
QEMUIFDOWN=`which runqemu-ifdown`
NFSRUNNING="false"

View File

@ -3,15 +3,15 @@ Poky images with QEMU
Poky can generate qemu bootable kernels and images with can be used
on a desktop system. Both arm and x86 images can currently be booted.
There are two scripts, runqemu and poky-qemu, one for use within poky,
There are two scripts, runqemu and runqemu, one for use within poky,
the other externally.
QEMU outside Poky (poky-qemu)
QEMU outside Poky (runqemu)
=============================
The poky-qemu script is run as:
The runqemu script is run as:
MACHINE=<machine> poky-qemu <zimage> <filesystem>
MACHINE=<machine> runqemu <zimage> <filesystem>
where: